## org.eclipse.datatools.modelbase.sql.schema
Class GenerateType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.schema.GenerateType

public final class GenerateType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Generate Type', and utility methods for working with them. 4.14.4 Identity columns The columns of a base table BT can optionally include not more than one identity column. The declared type of an identity column is either an exact numeric type with scale 0 (zero), INTEGER for example, or a distinct type whose source type is an exact numeric type with scale 0 (zero). An identity column has a start value, an increment, a maximum value, a minimum value, and a cycle option. An identity column is associated with an internal sequence generator SG. Let IC be the identity column of BT. When a row R is presented for insertion into BT, if R does not contain a column corresponding to IC, then the value V for IC in the row inserted into BT is obtained by applying the General Rules of Subclause 9.21, "Generation of the next value of a sequence generator", to SG. The definition of an identity column may specify GENERATED ALWAYS or GENERATED BY DEFAULT.

See Also:
  `SQLSchemaPackage.getGenerateType()`, Serialized Form

Field Summary
`static int` `ALWAYS_GENERATED` The 'ALWAYS GENERATED' literal value.
`static GenerateType` `ALWAYS_GENERATED_LITERAL` The 'ALWAYS GENERATED' literal object.
`static int` `DEFAULT_GENERATED` The 'DEFAULT GENERATED' literal value.
`static GenerateType` `DEFAULT_GENERATED_LITERAL` The 'DEFAULT GENERATED' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Generate Type' enumerators.

Method Summary
`static GenerateType` `get(int value)` Returns the 'Generate Type' literal with the specified value.
`static GenerateType` `get(java.lang.String name)` Returns the 'Generate Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_GENERATED

    public static final int DEFAULT_GENERATED

  The 'DEFAULT GENERATED' literal value.

  See Also:
    `DEFAULT_GENERATED_LITERAL`, Constant Field Values

### ALWAYS_GENERATED

    public static final int ALWAYS_GENERATED

  The 'ALWAYS GENERATED' literal value.

  See Also:
    `ALWAYS_GENERATED_LITERAL`, Constant Field Values

### DEFAULT_GENERATED_LITERAL

    public static final GenerateType DEFAULT_GENERATED_LITERAL

  The 'DEFAULT GENERATED' literal object.

  If the meaning of 'DEFAULT GENERATED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DEFAULT_GENERATED`

### ALWAYS_GENERATED_LITERAL

    public static final GenerateType ALWAYS_GENERATED_LITERAL

  The 'ALWAYS GENERATED' literal object.

  If the meaning of 'ALWAYS GENERATED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ALWAYS_GENERATED`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Generate Type' enumerators.

Method Detail

### get

    public static GenerateType get(java.lang.String name)

  Returns the 'Generate Type' literal with the specified name.

### get

    public static GenerateType get(int value)

  Returns the 'Generate Type' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.